Package twisted :: Package internet :: Module protocol :: Class Protocol

[frames | no frames]

## Class Protocol

    BaseProtocol --+
                   |
                  Protocol

Known Subclasses:
  `_Protocol`, `Chargen`, `Daytime`, `DccFileReceiveBasic`, `DccSendProtocol`, `Discard`, `DTP`, `Echo`, `GetFileTransfer`, `InetdProtocol`, `InsultsClient`, `Int16StringReceiver`, `Int32StringReceiver`, `IRC`, `LineOnlyReceiver`, `LineReceiver`, `MouseMan`, `NetstringReceiver`, `OscarConnection`, `ProtocolWrapper`, `ProtocolWrapper`, `Proxy`, `Pynana`, `QOTD`, `SenderProtocol`, `SendFileTransfer`, `SOCKSv4`, `SOCKSv4Incoming`, `SOCKSv4Outgoing`, `SSHForwardingClient`, `SSHSessionClient`, `StatefulProtocol`, `Telnet`, `Time`, `TOC`, `TOCClient`, `Who`, `XMLParser`, `XmlStream`, `Zodiac`

Method Summary
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``dataReceived`(self, data)` Called whenever data is received.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionFailed(self)

(Deprecated)

This used to be called when the connection was not properly established.

### connectionLost(self, reason=<twisted.python.failure.Failure twisted.internet.error.Co...)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.internet.interfaces.IProtocol at 0x8278f0c>,)

Generated by Epydoc 2.0 on Sat May 15 20:08:24 2004 | http://epydoc.sf.net